Class | Test::Unit::AutoRunner
In: | test/unit/autorunner.rb
Parent: | Object

### Methods

run standalone?

### Constants

RUNNERS | = | { :console => proc do |r| require 'test/unit/ui/console/testrunner'

### Public Class methods

run(force_standalone=false, default_dir=nil, argv=ARGV, &block)

[Source]

    # File test/unit/autorunner.rb, line 8
          def self.run(force_standalone=false, default_dir=nil, argv=ARGV, &block)
            r = new(force_standalone || standalone?, &block)
            if((!r.process_args(argv)) && default_dir)
              r.to_run << default_dir
            end
            r.run
          end

standalone?()

[Source]

    # File test/unit/autorunner.rb, line 16
          def self.standalone?
            return false unless("-e" == $0)
            ObjectSpace.each_object(Class) do |klass|
              return false if(klass < TestCase)
            end
            true
          end

[Validate]